<?php

define('_IN_JOHNCMS', 1);

require_once('../incfiles/core.php');
$textl = 'Clash Royale | Покупка валюты';
$headmod = 'cr|donat';
require_once('../incfiles/head.php');


if ($user_id) {
    
require_once('head.php');
    
switch ($act) {
        case 'cry100':
            if($datauser['balans']>=1000){
                $cry100 = ($usr['gems'] + 100);
                $buy100 = ($datauser['balans'] - 1000);
                echo '<div class = "phdr"><center>Покупка 100 кристаллов</center></div>';
                mysql_query("update `cr_users` set gems='". $cry100 ."' where uid='" . $user_id ."'");
                mysql_query("update `users` set balans='". $buy100 ."' where id='" . $user_id ."'");
                echo '<div class = "menu"><center>Покупка совершена</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            } else {
                echo '<div class = "phdr"><center>Покупка 100 кристаллов</center></div>';
                echo '<div class = "menu"><center>Недостаточно средств для покупки</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            }
        break;
        
        case 'cry1000':
            if($datauser['balans']>=9000){
                $cry1000 = ($usr['gems'] + 1000);
                $buy1000 = ($datauser['balans'] - 9000);
                echo '<div class = "phdr"><center>Покупка 1000 кристаллов</center></div>';
                mysql_query("update `cr_users` set gems='". $cry1000 ."' where uid='" . $user_id ."'");
                mysql_query("update `users` set balans='". $buy1000 ."' where id='" . $user_id ."'");
                echo '<div class = "menu"><center>Покупка совершена</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            } else {
                echo '<div class = "phdr"><center>Покупка 1000 кристаллов</center></div>';
                echo '<div class = "menu"><center>Недостаточно средств для покупки</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            }
        break;
        
        case 'cry10000':
            if($datauser['balans']>=85000){
                $cry10000 = ($usr['gems'] + 10000);
                $buy10000 = ($datauser['balans'] - 85000);
                echo '<div class = "phdr"><center>Покупка 10000 кристаллов</center></div>';
                mysql_query("update `cr_users` set gems='". $cry10000 ."' where uid='" . $user_id ."'");
                mysql_query("update `users` set balans='". $buy10000 ."' where id='" . $user_id ."'");
                echo '<div class = "menu"><center>Покупка совершена</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            } else {
                echo '<div class = "phdr"><center>Покупка 10000 кристаллов</center></div>';
                echo '<div class = "menu"><center>Недостаточно средств для покупки</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            }
        break;
        
        case 'money1000':
            if($usr['gems']>=80){
                $money1000 = ($usr['gems'] - 80);
                $mbuy1000 = ($usr['money'] + 1000);
                echo '<div class = "phdr"><center>Покупка 1000 монет</center></div>';
                mysql_query("update `cr_users` set gems='". $money1000 ."' where uid='" . $user_id ."'");
                mysql_query("update `cr_users` set money='". $mbuy1000 ."' where uid='" . $user_id ."'");
                echo '<div class = "menu"><center>Покупка совершена</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            } else {
                echo '<div class = "phdr"><center>Покупка 1000 монет</center></div>';
                echo '<div class = "menu"><center>Недостаточно средств для покупки</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            }
        break;
        
        case 'money10000':
            if($usr['gems']>=760){
                $money10000 = ($usr['gems'] - 760);
                $mbuy10000 = ($usr['money'] + 10000);
                echo '<div class = "phdr"><center>Покупка 10000 монет</center></div>';
                mysql_query("update `cr_users` set gems='". $money10000 ."' where uid='" . $user_id ."'");
                mysql_query("update `cr_users` set money='". $mbuy10000 ."' where uid='" . $user_id ."'");
                echo '<div class = "menu"><center>Покупка совершена</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            } else {
                echo '<div class = "phdr"><center>Покупка 10000 монет</center></div>';
                echo '<div class = "menu"><center>Недостаточно средств для покупки</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            }
        break;
        
        case 'money100000':
            if($usr['gems']>=7500){
                $money100000 = ($usr['gems'] - 7500);
                $mbuy100000 = ($usr['money'] + 100000);
                echo '<div class = "phdr"><center>Покупка 100000 монет</center></div>';
                mysql_query("update `cr_users` set gems='". $money100000 ."' where uid='" . $user_id ."'");
                mysql_query("update `cr_users` set money='". $mbuy100000 ."' where uid='" . $user_id ."'");
                echo '<div class = "menu"><center>Покупка совершена</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            } else {
                echo '<div class = "phdr"><center>Покупка 100000 монет</center></div>';
                echo '<div class = "menu"><center>Недостаточно средств для покупки</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
            }
        break;
        
        default:
                echo '<div class = "phdr"><center>Магазин валют</center></div>';
                echo '<div class = "menu"><a href = "?act=cry100">Пак 100 кристаллов - 1000 баллов</a></div>';
                echo '<div class = "menu"><a href = "?act=cry1000">Пак 1000 кристаллов - 9000 баллов</a></div>';
                echo '<div class = "menu"><a href = "?act=cry10000">Пак 10000 кристаллов - 85000 баллов</a></div>';
                echo '<div class = "menu"><a href = "?act=money1000">Пак 1000 монет - 80 кристаллов</a></div>';
                echo '<div class = "menu"><a href = "?act=money10000">Пак 10000 монет - 760 кристаллов</a></div>';
                echo '<div class = "menu"><a href = "?act=money100000">Пак 100000 монет - 7500 кристаллов</a></div>';
                echo '<div class = "gmenu"><center><a href = "/cr/">На главную игры</a></center></div>';
}

     } else {
echo '<div class="phdr">Clash Royale</div>';
echo '<div class="rmenu">Что бы играть в Clash Royale нужно зарегистрироваться!</div>';
      }
require_once('../incfiles/end.php');
?>